Name:           ocaml-yojson
Version:        1.1.8
Release:        %mkrel 1
Summary:        An optimized parsing and printing library for the JSON format
License:        BSD
Group:          Development/OCaml
URL:            http://mjambon.com/yojson.html
Source0:        http://mjambon.com/releases/yojson/yojson-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-easy-format-devel
BuildRequires:  ocaml-biniou-devel
BuildRequires:  ocaml-cppo-devel
Requires:       ocaml-biniou
Requires:       ocaml-easy-format

%description
Yojson is an optimized parsing and printing library for the JSON format. It
addresses a few shortcomings of json-wheel including 2x speedup, polymorphic
variants and optional syntax for tuples and variants.

ydump is a pretty-printing command-line program provided with the yojson
package.

The program atdgen (http://oss.wink.com/atdgen/) can be used to derive
OCaml-JSON serializers and deserializers from type definitions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-biniou-devel
Requires:       ocaml-easy-format-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n yojson-%{version}

%build
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/yojson
mkdir -p %{buildroot}%{_bindir}
make install BINDIR=%{buildroot}%{_bindir}

%files
%doc README.md LICENSE Changes
%dir %{_libdir}/ocaml/yojson
%{_libdir}/ocaml/yojson/META
%{_libdir}/ocaml/yojson/*.cmo
%{_libdir}/ocaml/yojson/*.cmi
%{_libdir}/ocaml/yojson/*.cmxs
%{_bindir}/ydump

%files devel
%doc doc/
%doc examples/
%doc bench.ml sample.json test.json
%{_libdir}/ocaml/yojson/*.o
%{_libdir}/ocaml/yojson/*.cmx
%{_libdir}/ocaml/yojson/*.mli


%changelog
* Thu Feb 18 2016 daviddavid <daviddavid> 1.1.8-1.mga6
+ Revision: 966137
- new version: 1.1.8
- update files list for main package

* Wed Feb 17 2016 umeabot <umeabot> 1.1.7-5.mga6
+ Revision: 964252
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.7-4.mga5
+ Revision: 744780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.7-3.mga5
+ Revision: 683134
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.7-2.mga4
+ Revision: 534322
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 blue_prawn <blue_prawn> 1.1.7-1.mga4
+ Revision: 477301
- updated to last version 1.1.7

* Sat Apr 06 2013 malo <malo> 1.1.3-6.mga3
+ Revision: 408632
- fix requires

* Sat Apr 06 2013 malo <malo> 1.1.3-5.mga3
+ Revision: 408571
- remove spurious requires

* Sun Jan 13 2013 umeabot <umeabot> 1.1.3-4.mga3
+ Revision: 361726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 blue_prawn <blue_prawn> 1.1.3-3.mga3
+ Revision: 322188
- no change, just a rebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1.3-2.mga3
+ Revision: 301689
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 1.1.3-1.mga3
+ Revision: 299111
- new rpm group for ocaml
- updated to last version 1.1.3

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.0.3-1.mga3
+ Revision: 263091
- buildrequires needs the -devel packages
- imported package ocaml-yojson

